Remove bundled zlib.
--- a/Makefile
+++ b/Makefile
@@ -6,9 +6,6 @@
 endif
 FIXUP:=true
 
-BUNDLED_LIBZ:=zlib/adler32.o zlib/compress.o zlib/crc32.o zlib/deflate.o zlib/gzclose.o zlib/gzlib.o zlib/gzread.o\
-	zlib/gzwrite.o zlib/infback.o zlib/inffast.o zlib/inflate.o zlib/inftrees.o zlib/trees.o zlib/uncompr.o zlib/zutil.o
-
 ifeq ($(OS),Windows)
 
 GLEW_PREFIX:=glew
@@ -74,7 +71,7 @@
 endif #Darwin
 
 ifdef HOST_ZLIB
-LIBS+= zlib
+LIBS+= -lz
 LIBZOBJS=
 else
 LIBZOBJS=$(BUNDLED_LIBZ)
--- a/blastem.c
+++ b/blastem.c
@@ -65,7 +65,7 @@
 #define romgetc fgetc
 #define romclose fclose
 #else
-#include "zlib/zlib.h"
+#include <zlib.h>
 #define ROMFILE gzFile
 #define romopen gzopen
 #define romread gzfread
--- a/event_log.c
+++ b/event_log.c
@@ -13,11 +13,13 @@
 #include <stdlib.h>
 #include <string.h>
 #include <errno.h>
+
+#include <zlib.h>
+
 #include "event_log.h"
 #include "util.h"
 #include "blastem.h"
 #include "saves.h"
-#include "zlib/zlib.h"
 
 enum {
 	CMD_GAMEPAD_DOWN,
--- a/event_log.h
+++ b/event_log.h
@@ -1,6 +1,8 @@
 #ifndef EVENT_LOG_H_
 #define EVENT_LOG_H_
 
+#include <zlib.h>
+
 enum {
 	EVENT_FLUSH = 0,
 	EVENT_ADJUST = 1,
@@ -20,7 +22,6 @@
 };
 
 #include "serialize.h"
-#include "zlib/zlib.h"
 typedef struct {
 	size_t storage;
 	uint8_t *socket_buffer;
--- a/png.c
+++ b/png.c
@@ -2,7 +2,8 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
-#include "zlib/zlib.h"
+
+#include <zlib.h>
 
 static const char png_magic[] = {0x89, 'P', 'N', 'G', '\r', '\n', 0x1A, '\n'};
 static const char ihdr[] = {'I', 'H', 'D', 'R'};
--- a/zip.c
+++ b/zip.c
@@ -5,7 +5,7 @@
 #include "util.h"
 #include "zip.h"
 #ifndef DISABLE_ZLIB
-#include "zlib/zlib.h"
+#include <zlib.h>
 #endif
 
 static const char cdfd_magic[4] = {'P', 'K', 1, 2};
